import {mande} from "mande";
import {provider} from "@/api/provider.js";
import {queryRemoveZero} from "@/api/utils.js";

const tracers = mande('/api/v2/tracers')

export const ListTracers = (q) => {
    const query = queryRemoveZero(q)
    return tracers.get({query:query})
}

export const CreateTracer = (providerId, skuID)=>{
    return provider.post(`${providerId}/ats-trace/${encodeURIComponent(skuID)}`)
}

export const DeleteTracer = (providerId, skuID)=>{
    return provider.delete(`${providerId}/ats-trace/${encodeURIComponent(skuID)}`)
}

export const StopTracer = (providerId,skuID)=>{
    return provider.post(`${providerId}/ats-trace/stop/${encodeURIComponent(skuID)}`)
}